io.agora.rtc

## Class VideoDimensions

- java.lang.Object
- - io.agora.rtc.VideoDimensions

-     public class VideoDimensions
      extends java.lang.Object

  Video dimensions configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `height` The height of the video
    `private int` | `width` The width of the video

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoDimensions()` Default constructor for VideoDimensions.
    `VideoDimensions(int width, int height)` Constructs VideoDimensions with width and height.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Gets the height of the video.
    `int` | `getWidth()` Gets the width of the video.
    `void` | `setHeight(int height)` Sets the height of the video.
    `void` | `setWidth(int width)` Sets the width of the video.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### width

          private int width

      The width of the video

    - #### height

          private int height

      The height of the video

  - ### Constructor Detail

    - #### VideoDimensions

          public VideoDimensions()

      Default constructor for VideoDimensions.

    - #### VideoDimensions

          public VideoDimensions(int width,
                                 int height)

      Constructs VideoDimensions with width and height.
      Parameters:
        `width` - The width of the video
        `height` - The height of the video

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Gets the width of the video.
      Returns:
        The width of the video

    - #### setWidth

          public void setWidth(int width)

      Sets the width of the video.
      Parameters:
        `width` - The width of the video

    - #### getHeight

          public int getHeight()

      Gets the height of the video.
      Returns:
        The height of the video

    - #### setHeight

          public void setHeight(int height)

      Sets the height of the video.
      Parameters:
        `height` - The height of the video

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`